jm.midi.event

## Class TempoEvent

- java.lang.Object
- - jm.midi.event.TempoEvent

- All Implemented Interfaces:
    Event

      public final class TempoEvent
      extends java.lang.Object
      implements Event

  TempoEvent Events are contained in the MidiFile class's tempoList unlike most of the other events which are track data stored in the track Event List.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempoEvent()` Default Constructor
    `TempoEvent(double tempo)`
    `TempoEvent(int time, double tempo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `copy()` Copy Object
    `short` | `getID()` Return Id
    `double` | `getTempo()` Returns a tempo value
    `int` | `getTime()` return time
    `void` | `print()` Print data
    `int` | `read(java.io.DataInputStream dis)` Read the contends of this object in from disk
    `void` | `setTempo(double tempo)` Sets the tempo events tempo field
    `void` | `setTime(int time)` Specify the time
    `int` | `write(java.io.DataOutputStream dos)` Write the contents of this object out to disk

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TempoEvent

          public TempoEvent()

      Default Constructor

    - #### TempoEvent

          public TempoEvent(double tempo)

    - #### TempoEvent

          public TempoEvent(int time,
                    double tempo)

  - ### Method Detail

    - #### getTempo

          public double getTempo()

      Returns a tempo value

    - #### setTempo

          public void setTempo(double tempo)

      Sets the tempo events tempo field

    - #### getTime

          public int getTime()

      return time
      Specified by:
        `getTime` in interface `Event`

    - #### setTime

          public void setTime(int time)

      Specify the time
      Specified by:
        `setTime` in interface `Event`

    - #### getID

          public short getID()

      Return Id
      Specified by:
        `getID` in interface `Event`

    - #### write

          public int write(java.io.DataOutputStream dos)
                    throws java.io.IOException

      Write the contents of this object out to disk
      Specified by:
        `write` in interface `Event`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(java.io.DataInputStream dis)
                   throws java.io.IOException

      Read the contends of this object in from disk
      Specified by:
        `read` in interface `Event`
      Throws:
        `java.io.IOException`

    - #### copy

          public Event copy()
                     throws java.lang.CloneNotSupportedException

      Copy Object
      Specified by:
        `copy` in interface `Event`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### print

          public void print()

      Print data
      Specified by:
        `print` in interface `Event`